
QGIS Application - Bug report #1328

PostGIS layer editing - prepared statement "addfeatures" is not removed on failed saving added 

features

2008-09-22 07:15 PM - Steven Mizuno

Status: Closed

Priority: Low

Assignee: nobody -

Category: Data Provider

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11388

Description

The situation: a table having a column contraint, such as NOT NULL, on a column other than the object id; used integer type in this case.

1. start Editing

2. add a feature

3. in the Enter Attribute Values dialog make the field that has the constraint have a value that violates the constraint, like a blank field

5. in Attribute Table, fix the value to a valid one.

<pre>

Can't get rid of the error until the layer is loaded again.

I was using a multipoint layer, but believe this affects all types.

Associated revisions

Revision fc11ff6b - 2008-09-23 07:42 AM - Jürgen Fischer

vector bugfixes

- QgsVectorLayer::commitChanges: handle deleted added features

- QgsPostgresProvider:

  - update ids of added features only, when they were actually inserted

  - deallocate prepared statements after rollback (fixes #1328)

	

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@9381 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision ef10609f - 2008-09-23 07:42 AM - Jürgen Fischer

vector bugfixes

- QgsVectorLayer::commitChanges: handle deleted added features

- QgsPostgresProvider:

  - update ids of added features only, when they were actually inserted
  - deallocate prepared statements after rollback (fixes #1328)

	

git-svn-id: http://svn.osgeo.org/qgis/trunk@9381 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2008-09-22 10:43 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:ef10609f (SVN r9382)

#2 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
